Update on Joomla 3.1.x versions

edited to add information about Joomla 2.5.x

Yesterday, we announced to skip Joomla 3.1.2. After an update from the PLT we now know more about what you should do – depending on your version of Joomla.

Ignoring all the version numbers of non-existing, ancient and futuristic releases, here’s where you stand depending on your version of Joomla:

  • Your version is 3.1.1 => Wait until 3.1.4 comes out. You can use the updater to upgrade.
  • Your version is 3.1.2 => Using the updater upgrade to 3.1.3. Then, upgrade to 3.1.4.
  • Your version is older than 3.1.1 => Uh, yeah… You might want to upgrade to 3.1.1 to begin with.
  • Your version is Joomla 2.5.11 => Upgrade to Joomla 2.5.13 when possible.

Before you rage quit Joomla – these things can happen. The developers worked hard so you can still use the updater to go from 3.1.2 to 3.1.3 and then to 3.1.4. We’d tip our hats, if we were wearing one.. If you’re so upset you can’t get over it, I heard Drupal is nice this time of the year… Just don’t expect an automated update!

Advertisements

5 thoughts on “Update on Joomla 3.1.x versions”

  1. I currently have Joomla 3.1.1 installed. I clicked on “Joomla 3.1.4, Update now!” and it initiated the install process but then it displayed a blank web screen (on …task=update.finalise). Now can can’t access the backend and my public website is not accessible. Luckily I took a snapshot of my current VM before I started the update process. I tried upgrading again with SELinux in Permissive and encountered the same problem.

    Like

    1. I have had this happen to me, as well – minus bricking the back-end – and I usually solve it by using AdminTools. As a last resort, you could apply the update manually.

      I see you’re using VM snapshots for back-ups, aren’t you using Akeeba Backup to create back-ups of your site?

      Like

Comments are closed.